Sign in

Зарегистрируйтесь, чтобы стать полноправным участником сообщества Masterpro.ws.

RHEL 7.1. Ошибка зависимостей

Чиним обновления RHEL 7.1

Некоторое время назад, обновляя пакеты размещенного на амазоне RHEL 7.1... столкнулся я со следующей проблемой; довольно длинный ряд обновлений не мог быть реализован ввиду проблемы с зависимостями, а именно - в подключенных репозиториях не хватало пакетов php-bcmath.x86_64 0:5.4.16-36.el7_1 и php-mbstring.x86_64 0:5.4.16-36.el7_1 :

 

Пропущено (ошибка зависимостей):
httpd x86_64 2.4.6-31.el7_1.1 rhui-REGION-rhel-server-releases 1.2 M
httpd-tools x86_64 2.4.6-31.el7_1.1 rhui-REGION-rhel-server-releases 79 k
krb5-libs x86_64 1.12.2-15.el7_1 rhui-REGION-rhel-server-releases 826 k
php x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 1.4 M
php-cli x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 2.7 M
php-common x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 563 k
php-gd x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 126 k
php-mysql x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 99 k
php-pdo x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 97 k
php-process x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 54 k
php-tcpdf noarch 6.2.10-1.el7 epel 2.1 M
php-tcpdf-dejavu-sans-fonts noarch 6.2.10-1.el7 epel 257 k
php-xml x86_64 5.4.16-36.el7_1 rhui-REGION-rhel-server-releases 124 k
phpMyAdmin noarch 4.4.14.1-1.el7 epel 4.4 M

 

Просматривая форумы, вижу, что проблема по-прежнему актуальна; вследствие чего и привожу здесь крайне простое решение данной задачки; если столкнулись с аналогичным - вам всего-то и нужно подключить два новых репа, удостоверившись перед этим, что пакет yum-utils уже установлен. Итак:

 

 

$ sudo yum info yum-utils

 

и затем

    

$ sudo yum-config-manager --enable rhui-REGION-rhel-server-extras rhui-REGION-rhel-server-optional

 

все, теперь можно

 

$ sudo yum update

2 комментарии

  • Aleksej

    написал Aleksej

    Воскресенье, 11 сентября 2016 11:28

    Ну если "команда не найдена", понятно, что ошибка... кстати, а что за команда-то.

  • Алех

    написал Алех

    Воскресенье, 11 сентября 2016 10:32

    yum-config-manager: команда не найдена
    всеравно ошибка

Оставить комментарий

Добавьте ваш комментарий